Subject: Re: Electric Fence for Cygwin
From: Glenn Spell <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jun 1999 18:30:43 -0400

On 25 Jun 1999 at 10:16AM (+0200) Laurent CHARLES wrote:

> [email-masked] wrote:
> > 
> > Please let me know if it compiles and operates properly.
> 
> I tried it and got some problems. 

I could not get it to work either. I removed it from the webpage.

> I have a simple hello-world with a single 'char* p=(char*)malloc(10);'
> line.
> I compile it with 'gcc hello.c -o hello.exe -lefence'.
> 
> It crashes with a 'instruction references memory at "0x00000000"' error.
> A simple debug session with gdb shows that it crashes at '0x61006cd2 in
> _size_of_stack_reserve__()', before main.
> 
> Did you experience the same problem?

Using GNU Hello I could not get the efence library to run.

(gdb) run
Starting program: /hello/hello-1.3/hello/build/./hello.exe
bff30000://C/WINDOWS/SYSTEM/GDI32.DLL
bff60000://C/WINDOWS/SYSTEM/USER32.DLL
bff70000://C/WINDOWS/SYSTEM/KERNEL32.DLL
bfec0000://C/WINDOWS/SYSTEM/ADVAPI32.DLL
61000000:/BIN/CYGWIN1.DLL

Program received signal SIGSEGV, Segmentation fault.
0x61006bbe in _findenv ()
(gdb) bt
#0  0x61006bbe in _findenv ()
#1  0x61006c23 in getenv ()
#2  0x402236 in initialize () at ../efence.c:303
#3  0x402c2d in malloc (size=16) at ../efence.c:869
#4  0x61019eba in malloc ()
#5  0x6101a217 in malloc_init ()
#6  0x610183e6 in heap_init ()
#7  0x61004110 in dll_crt0_1 ()
#8  0x610043c0 in dll_crt0 ()
#9  0x403292 in cygwin_crt0 ()
(gdb)

Remove calls to getenv() and it loops and crashes elsewhere.

I tried all I know to do but still can't get it to work.
Again, I removed it from the webpage. Sorry for any inconvenience.

-glenn

-- 
 )      Glenn Spell <[email-masked]>      )   _       _____
 )   Fayetteville, North Carolina, U. S. A.   )_ (__\____o /_/_ |
 )  _  _  _  _  _  _  _  _  _  _  _  _  _  _  )   >-----._/_/__]>
 )- blue skies - happy trails - sweet dreams -)             `0  |

--
Want to unsubscribe from this list?
Send a message to [email-masked]